import { Configuration, OpenAIApi } from "openai";
import { OPEN_API_KEY } from "../config";
const configuration = new Configuration({
    organization: "org-AoUQNrvNFgE7OsNnQWErMvxy",
    apiKey: OPEN_API_KEY,
});
const openai = new OpenAIApi(configuration); 

export default class OpenAPI {
    static getInterViewQuestions =(subject:string, level:string) => openai.createCompletion({
        model:'text-davinci-003',
        prompt:`Create a list of ${level} questions with answers for my interview regarding ${subject}`,
        temperature:0.5,
        max_tokens:150,
        top_p:1.0,
        frequency_penalty:0.0,
        presence_penalty:0.0
    })
}